[Upstream] Column formatting not honored saving to .doc

Bug #915080 reported by Stefano Vettori on 2012-01-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
LibreOffice
Confirmed
Medium
libreoffice (Ubuntu)
Medium
Unassigned

Bug Description

1) lsb_release -rd
Description: Ubuntu 11.10
Release: 11.10

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.4.4-0ubuntu1
  Candidate: 1:3.4.4-0ubuntu1
  Version table:
 *** 1:3.4.4-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.4.3-3ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915080/+attachment/2685315/+files/Blocco%20schizzi%20botanico.doc -O example.doc && lowriter -nologo example.doc

Click Format -> Sections... -> highlight Section1 -> click button Remove -> highlight Section3 -> click button Remove -> button OK -> Format -> Columns... -> change combobox Columns to 2 -> button OK -> Save, close, reopen and the column formatting remains as in the screenshot https://launchpadlibrarian.net/91366200/Schermata-L%27arte%20del%20disegno%20botanico.doc2%20-%20LibreOffice%20Writer.png .

4) What happens instead is the column formatting changes back to the way it was before making the above changes. A screenshot of this https://launchpadlibrarian.net/91366199/Schermata-L%27arte%20del%20disegno%20botanico.doc1%20-%20LibreOffice%20Writer.png .

WORKAROUND: Save as .odt as the column formatting is preserved.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: libreoffice-core 1:3.3.4-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-13.53-generic 2.6.38.8
Uname: Linux 2.6.38-13-generic i686
Architecture: i386
Date: Wed Jan 11 23:50:02 2012
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
ProcEnviron:
 LANGUAGE=it_IT:en
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
SourcePackage: libreoffice
UpgradeStatus: Upgraded to natty on 2011-10-17 (86 days ago)

Stefano Vettori, thank you for reporting this and helping make Ubuntu better. Could you please attach the Word file, directly exported from Word and before opening with LibreOffice Writer, that demonstrates this problem?

Changed in libreoffice (Ubuntu):
status: New → Incomplete

2012/1/18 Christopher M. Penalver <email address hidden>

> Stefano Vettori, thank you for reporting this and helping make Ubuntu
> better. Could you please attach the Word file, directly exported from
> Word and before opening with LibreOffice Writer, that demonstrates this
> problem?
>
> ** Changed in: libreoffice (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/915080
>
> Title:
> file with 2 column and index
>
> Status in “libreoffice” package in Ubuntu:
> Incomplete
>
> Bug description:
> I'm using a file word with 2 columns and the index, without sections
> When I open it again the index isn't on columns, but on all the page and
> appear 2 section
> I cancel the 2 sections and the files works correctly until I exit and
> re-enter
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: libreoffice-core 1:3.3.4-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-13.53-generic 2.6.38.8
> Uname: Linux 2.6.38-13-generic i686
> Architecture: i386
> Date: Wed Jan 11 23:50:02 2012
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> ProcEnviron:
> LANGUAGE=it_IT:en
> LANG=it_IT.UTF-8
> SHELL=/bin/bash
> SourcePackage: libreoffice
> UpgradeStatus: Upgraded to natty on 2011-10-17 (86 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915080/+subscriptions
>

Changed in libreoffice (Ubuntu):
status: Incomplete → New

Stefano Vettori, could you please post a screenshot of how the file has "2 columns and the index, without sections", and another screenshot of how "the index isn't on columns, but on all the" pages?

Changed in libreoffice (Ubuntu):
status: New → Incomplete

Here you are

Let me know if you don't understand because of my bad english

2012/1/29 Christopher M. Penalver <email address hidden>

> Stefano Vettori, could you please post a screenshot of how the file has
> "2 columns and the index, without sections", and another screenshot of
> how "the index isn't on columns, but on all the" pages?
>
> ** Changed in: libreoffice (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/915080
>
> Title:
> file with 2 column and index
>
> Status in “libreoffice” package in Ubuntu:
> Incomplete
>
> Bug description:
> I'm using a file word with 2 columns and the index, without sections
> When I open it again the index isn't on columns, but on all the page and
> appear 2 section
> I cancel the 2 sections and the files works correctly until I exit and
> re-enter
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: libreoffice-core 1:3.3.4-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-13.53-generic 2.6.38.8
> Uname: Linux 2.6.38-13-generic i686
> Architecture: i386
> Date: Wed Jan 11 23:50:02 2012
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> ProcEnviron:
> LANGUAGE=it_IT:en
> LANG=it_IT.UTF-8
> SHELL=/bin/bash
> SourcePackage: libreoffice
> UpgradeStatus: Upgraded to natty on 2011-10-17 (86 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915080/+subscriptions
>

Stefano Vettori (vettoristefano), it looks like the before screenshot is:
https://launchpadlibrarian.net/91366200/Schermata-L%27arte%20del%20disegno%20botanico.doc2%20-%20LibreOffice%20Writer.png

and the after screenshot is:
https://launchpadlibrarian.net/91366199/Schermata-L%27arte%20del%20disegno%20botanico.doc1%20-%20LibreOffice%20Writer.png

Regarding your comments:

"When I open it again the index isn't on columns, but on all the page and appear 2 section
I cancel the 2 sections..."

Could you please provided click by click instructions on how to "cancel the 2 sections" so it looks like the before screenshot?

When I open the file, it appear as
https://launchpadlibrarian.net/91366199/Schermata-L%27arte%20del%20disegno%20botanico.doc1%20-%20LibreOffice%20Writer.png

I go to "Format"/"Section". Appear "Section1" and "Section3". I push
"remove" twice and I close.
Appear only one column.
I go to "Format"/"Column" and I choose "2".
Now the file appears as
https://launchpadlibrarian.net/91366200/Schermata-L%27arte%20del%20disegno%20botanico.doc2%20-%20LibreOffice%20Writer.png

2012/1/29 Christopher M. Penalver <email address hidden>

> Stefano Vettori (vettoristefano), it looks like the before screenshot is:
>
> https://launchpadlibrarian.net/91366200/Schermata-L%27arte%20del%20disegno%20botanico.doc2%20-%20LibreOffice%20Writer.png
>
> and the after screenshot is:
>
> https://launchpadlibrarian.net/91366199/Schermata-L%27arte%20del%20disegno%20botanico.doc1%20-%20LibreOffice%20Writer.png
>
> Regarding your comments:
>
> "When I open it again the index isn't on columns, but on all the page and
> appear 2 section
> I cancel the 2 sections..."
>
> Could you please provided click by click instructions on how to "cancel
> the 2 sections" so it looks like the before screenshot?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/915080
>
> Title:
> file with 2 column and index
>
> Status in “libreoffice” package in Ubuntu:
> Incomplete
>
> Bug description:
> I'm using a file word with 2 columns and the index, without sections
> When I open it again the index isn't on columns, but on all the page and
> appear 2 section
> I cancel the 2 sections and the files works correctly until I exit and
> re-enter
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: libreoffice-core 1:3.3.4-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-13.53-generic 2.6.38.8
> Uname: Linux 2.6.38-13-generic i686
> Architecture: i386
> Date: Wed Jan 11 23:50:02 2012
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386
> (20110427.1)
> ProcEnviron:
> LANGUAGE=it_IT:en
> LANG=it_IT.UTF-8
> SHELL=/bin/bash
> SourcePackage: libreoffice
> UpgradeStatus: Upgraded to natty on 2011-10-17 (86 days ago)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915080/+subscriptions
>

Stefano Vettori, the issue you are reporting is an upstream one and it would be nice if somebody having it could send the bug to the developers of the software by following the instructions at http://wiki.documentfoundation.org/BugReport . If you have done so, please tell us the number of the upstream bug (or the link), so we can add a bugwatch that will inform us about its status. Thanks in advance.

summary: - file with 2 column and index
+ Column formatting not honored saving to .doc
description: updated
Changed in libreoffice (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
Changed in df-libreoffice:
status: New → Incomplete

Original report: https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915080

libreoffice-writer 3.4.4-0ubuntu1 (Ubuntu Oneiric)

Steps To Reproduce:
1) Open Document:
cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915080/+attachment/2685315/+files/Blocco%20schizzi%20botanico.doc -O example.doc && lowriter -nologo example.doc

2) Click Format -> Sections... -> highlight Section1 -> click button Remove -> highlight Section3 -> click button Remove -> button OK -> Format -> Columns... -> change combobox Columns to 2 -> button OK -> Save
Column formatting scrrenshot - https://launchpadlibrarian.net/91366199/Schermata-L%27arte%20del%20disegno%20botanico.doc1%20-%20LibreOffice%20Writer.png (correct result)

Result: Column formatting is https://launchpadlibrarian.net/91366200/Schermata-L%27arte%20del%20disegno%20botanico.doc2%20-%20LibreOffice%20Writer.png

Expected Result: Column formatting doesn't change on file reopen

WORKAROUND: Save as .odt as the column formatting is preserved.

Reproducible in:
LibreOffice 3.5.0rc2
Build ID: e371a95-bf68a13-5a1aa2b-d3c1ae9-b938258
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002

Original report: https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915080

libreoffice-writer 3.4.4-0ubuntu1 (Ubuntu Oneiric)

Steps To Reproduce:
1) Open Document:
cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915080/+attachment/2685315/+files/Blocco%20schizzi%20botanico.doc -O example.doc && lowriter -nologo example.doc

2) Click Format -> Sections... -> highlight Section1 -> click button Remove -> highlight Section3 -> click button Remove -> button OK -> Format -> Columns... -> change combobox Columns to 2 -> button OK -> Save
Column formatting scrrenshot - https://launchpadlibrarian.net/91366199/Schermata-L%27arte%20del%20disegno%20botanico.doc1%20-%20LibreOffice%20Writer.png (correct result)

Result: Column formatting is https://launchpadlibrarian.net/91366200/Schermata-L%27arte%20del%20disegno%20botanico.doc2%20-%20LibreOffice%20Writer.png

Expected Result: Column formatting doesn't change on file reopen

WORKAROUND: Save as .odt as the column formatting is preserved.

Vadim Rutkovsky (roignac) wrote :
Changed in df-libreoffice:
importance: Undecided → Unknown
status: Incomplete → Unknown
Changed in df-libreoffice:
importance: Unknown → Medium
status: Unknown → New
summary: - Column formatting not honored saving to .doc
+ [Upstream] Column formatting not honored saving to .doc

Reproducible in:
LibreOffice 3.5.0rc2
Build ID: e371a95-bf68a13-5a1aa2b-d3c1ae9-b938258
Microsoft Windows Vista Business 6.0.6002 Service Pack 2 Build 6002

tags: added: oneiric
tags: added: lo33
Changed in df-libreoffice:
status: New → Confirmed

reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1.2 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
This NEW Message was generated on: 2015-03-03

Not reproducible with LibreOffice 4.4.2.0.0+ built at home under Ubuntu 14.10 x86-64. Column formatting is saved and preserved when file is reopened.

Closing as WorksForMe. Please, feel free to reopen if you disagree.

Best regards. JBF

Jean-Baptiste Faure, thanks for testing to this. However, if one followed the Description https://bugs.documentfoundation.org/show_bug.cgi?id=45386#c0 without questioning the results, then they would not have noticed that it is written mistakenly.

It should have mirrored the downstream Description I made to clearly explain the problem:
What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/915080/+attachment/2685315/+files/Blocco%20schizzi%20botanico.doc -O example.doc && lowriter -nologo example.doc

Click Format -> Sections... -> highlight Section1 -> click button Remove -> highlight Section3 -> click button Remove -> button OK -> Format -> Columns... -> change combobox Columns to 2 -> button OK -> Save, close, reopen and the column formatting remains as in the screenshot https://launchpadlibrarian.net/91366200/Schermata-L%27arte%20del%20disegno%20botanico.doc2%20-%20LibreOffice%20Writer.png .

What happens instead is the column formatting changes back to the way it was before making the above changes. A screenshot of this https://launchpadlibrarian.net/91366199/Schermata-L%27arte%20del%20disegno%20botanico.doc1%20-%20LibreOffice%20Writer.png .

Reproducible in Utopic's LibreOffice Writer.

(In reply to Christopher M. Penalver from comment #5)
> [...]
> Reproducible in Utopic's LibreOffice Writer.

Which version it is ?

JBF

Jean-Baptiste Faure, thank you for the quick follow up. It's not upstream/a PPA but the one that comes by default in Utopic (4.3.3-0ubuntu1).

However, this is also reproducible in:
Windows 8.1 x64
LibreOffice 4.4.1.2

** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug

3. Leave a comment with your results.

4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword

Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16

reproduced in LO6.0dev.

Likely the exporter has special code around exporting a table of contents that creates sections in order to do that.

** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not
appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3
. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword

Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug

This release of Ubuntu is no longer receiving maintenance updates. If this is still an issue on a maintained version of Ubuntu please let us know.

Changed in libreoffice (Ubuntu):
status: Triaged → Incomplete
Changed in df-libreoffice:
importance: Medium → Unknown
status: Confirmed → Unknown
Changed in df-libreoffice:
importance: Unknown → Medium
status: Unknown → Confirmed

Synchronising bug status with upstream.

Changed in libreoffice (Ubuntu):
status: Incomplete → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.